BNPROXY(1)

NAME
bnproxy - bnetd tracking daemon

SYNOPSIS
bntrackd [options]

DESCRIPTION
bntrackd is a simple daemon which will listen for UDP announcement packets sent by bnetd(1) servers. The list of servers and their statistics is written to a text file an optionally processed by an external program. A perl(1) script is provided which processes this information to produce an HTML document suitable for display on the web.

bnetd(1) servers must be configured to report to tracking servers. The bnetd.conf(5) file allows for multiple tracking servers to be listed separated by commas. The master server is track.bnetd.org. Please consider including that server in your configuration.

OPTIONS

-c --command
    Run the specified command after writing server information to outfile. If this option is not specified, the command "scripts/process.pl" is executed from the directory that bntrackd was started. If an empty string is provided for command, no command will be executed.

-e --expire
    Set the period of time in seconds to keep server information without receiving new updates. If this option is not specified, 600 seconds is used.

-d --debug
    Place additional informational messages in the event log.

-h --help --usage
    Print usage information and exit.

-l --logfile
    Put the event log messages into the specified file. If this option is not specified, the file "logs/bntrackd.log" will be written from the directory that bntrackd was started. If an empty string is provided for logfile, no event messages will be written.

-o --outfile
    Put the server information into the specified file outfile..

-p --port
    Listen for announcements on the specified UDP port number. If this option is not specified, the port number defaults to 6114.

-P --pidfile
    Record the process ID of the tracking daemon in the specified file. If this option is not specified, this information is not written to any file.

-u --update
    Set the period of time in seconds between updates of the outfile. If this option is not specified, 150 seconds is used.

-v --version
    Causes bntrackd to print its version number and exit.

NOTES

The current version is available at:

    http://www.bnetd.org/

SEE ALSO
bnetd(1), perl(1)

AUTHOR
Ross Combs (ross@bnetd.org)